MagickCore: blob.h File Reference

# blob.h File Reference

`#include "magick/image.h"`
`#include "magick/stream.h"`

Go to the source code of this file.

## Defines
#define | MagickMaxBufferSize 262144
## Enumerations
enum | MapMode { ReadMode, WriteMode, IOMode }
## Functions
MagickExport FILE * | GetBlobFileHandle (const Image *)
MagickExport Image * | BlobToImage (const ImageInfo *, const void *, const size_t, ExceptionInfo *)
MagickExport Image ** | PingBlob (const ImageInfo *, const void *, const size_t, ExceptionInfo *)
MagickExport MagickBooleanType | BlobToFile (char *, const void *, const size_t, ExceptionInfo *)
MagickExport MagickBooleanType | FileToImage (Image *, const char *)
MagickExport MagickBooleanType | GetBlobError (const Image *)
MagickExport MagickBooleanType | ImageToFile (Image *, char *, ExceptionInfo *)
MagickExport MagickBooleanType | InjectImageBlob (const ImageInfo *, Image *, const char *)
MagickExport MagickBooleanType | IsBlobExempt (const Image *)
MagickExport MagickBooleanType | IsBlobSeekable (const Image *)
MagickExport MagickBooleanType | IsBlobTemporary (const Image *)
MagickExport MagickSizeType | GetBlobSize (const Image *)
MagickExport StreamHandler | GetBlobStreamHandler (const Image *)
MagickExport unsigned char * | FileToBlob (const char *, const size_t, size_t *, ExceptionInfo *)
MagickExport unsigned char ** | GetBlobStreamData (const Image *)
MagickExport unsigned char *** | ImageToBlob (const ImageInfo *, Image *, size_t *, ExceptionInfo *)
MagickExport unsigned char **** | ImagesToBlob (const ImageInfo *, Image *, size_t *, ExceptionInfo *)
MagickExport void | DestroyBlob (Image *)
MagickExport void | SetBlobExempt (Image *, const MagickBooleanType)

## Define Documentation

#define MagickMaxBufferSize 262144

## Enumeration Type Documentation

enum MapMode

Enumerator:

  ReadMode |
  WriteMode |
  IOMode |

## Function Documentation

MagickExport MagickBooleanType BlobToFile | ( | char * | ,
|  | const void * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* BlobToImage | ( | const ImageInfo * | ,
|  | const void * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void DestroyBlob | ( | Image * |  | ) |

MagickExport unsigned char* FileToBlob | ( | const char * | ,
|  | const | size_t,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType FileToImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType GetBlobError | ( | const Image * |  | ) |

MagickExport FILE* GetBlobFileHandle | ( | const Image * |  | ) |

MagickExport MagickSizeType GetBlobSize | ( | const Image * |  | ) |

MagickExport unsigned char* * GetBlobStreamData | ( | const Image * |  | ) |

MagickExport StreamHandler GetBlobStreamHandler | ( | const Image * |  | ) |

MagickExport unsigned char* * * * ImagesToBlob | ( | const ImageInfo * | ,
|  | Image * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport unsigned char* * * ImageToBlob | ( | const ImageInfo * | ,
|  | Image * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ImageToFile | ( | Image * | ,
|  | char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType InjectImageBlob | ( | const ImageInfo * | ,
|  | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType IsBlobExempt | ( | const Image * |  | ) |

MagickExport MagickBooleanType IsBlobSeekable | ( | const Image * |  | ) |

MagickExport MagickBooleanType IsBlobTemporary | ( | const Image * |  | ) |

MagickExport Image* * PingBlob | ( | const ImageInfo * | ,
|  | const void * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void SetBlobExempt | ( | Image * | ,
|  | const | MagickBooleanType |
| ) |  |  |